Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 818289 - ovirt-engine-backend [Task Manager]: vm migration in case of failure is not logged in task manager
Summary: ovirt-engine-backend [Task Manager]: vm migration in case of failure is not l...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Eli Mesika
QA Contact: Dafna Ron
URL:
Whiteboard: infra
Depends On: 844344
Blocks: 870745
TreeView+ depends on / blocked
 
Reported: 2012-05-02 16:02 UTC by Dafna Ron
Modified: 2016-02-10 19:00 UTC (History)
11 users (show)

Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 870745 (view as bug list)
Environment:
Last Closed:
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
log (deleted)
2012-05-02 16:02 UTC, Dafna Ron
no flags Details
engine log (deleted)
2012-07-30 12:12 UTC, Dafna Ron
no flags Details
log and screen shot (deleted)
2012-09-19 12:28 UTC, Dafna Ron
no flags Details
screen shots (deleted)
2012-10-14 08:43 UTC, Dafna Ron
no flags Details

Description Dafna Ron 2012-05-02 16:02:38 UTC
Created attachment 581656 [details]
log

Description of problem:

if migration is initiated by the system we are not logging the migration in the task manager

Version-Release number of selected component (if applicable):

si2.1

How reproducible:

100%

Steps to Reproduce:
1. run vm on spm in two hosts cluster
2. block connectivity to storage from spm using iptables
3.
  
Actual results:

the vm's will migrate but migration will not be logged in the task manager


Expected results:

vm migration should appear in the task manager

Additional info: log

Comment 1 Yair Zaslavsky 2012-05-14 11:17:12 UTC
VdsEventListener.vdsNonOperational
does not create a Job context for running the internal command.
As a result, the created step of migrate does not have an associated job.
This context should be propagated via MigrateAllVms to the step creation.

Comment 2 Yair Zaslavsky 2012-05-14 11:20:35 UTC
In addition, the exception logging at

private ExecutionContext createMigrateVmContext(VM vm)


   } catch (RuntimeException e) {
            log.error(e);
        }

Should be improved

(MaintananceVdsCommand.java)

Comment 3 Eli Mesika 2012-07-11 12:37:02 UTC
http://gerrit.ovirt.org/#/c/6148/

Comment 4 Eli Mesika 2012-07-15 07:12:39 UTC
fixed in commit : 4d19328

Comment 5 Dafna Ron 2012-07-30 12:12:13 UTC
MigrateAllVms throws exception (bug: 844344). 

although vm migrates we see no task created in the task manager log. 




will attach full log

2012-07-30 14:10:03,451 ERROR [org.ovirt.engine.core.bll.MaintananceVdsCommand] (pool-4-thread-45) [1ef354a5] Failed to create ExecutionContext for MigrateVmCommand: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.MaintananceVdsCommand.createMigrateVmContext(MaintananceVdsCommand.java:117) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MaintananceVdsCommand.MigrateAllVms(MaintananceVdsCommand.java:96) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MaintananceVdsCommand.MigrateAllVms(MaintananceVdsCommand.java:82) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.SetNonOperationalVdsCommand$1.run(SetNonOperationalVdsCommand.java:44) [engine-bll.jar:]
        at org.ovirt.engine.core.utils.threadpool.ThreadPoolUtil$InternalWrapperRunnable.run(ThreadPoolUtil.java:64) [engine-utils.jar:]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_05-icedtea]
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.7.0_05-icedtea]
        at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.7.0_05-icedtea]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.7.0_05-icedtea]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.7.0_05-icedtea]
        at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_05-icedtea]



2012-07-30 15:10:09,317 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.MigrateBrokerVDSCommand] (pool-4-thread-45) [30642514] VdsBroker::migrate::Entered (vm_guid=fc52981c-8271-42dc-97ab-40aae2f6bd37, srcHost=orange-vdsd.qa.lab.tlv.re
dhat.com, dstHost=blond-vdsh.qa.lab.tlv.redhat.com:54321,  method=online
2012-07-30 15:10:09,317 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.MigrateBrokerVDSCommand] (pool-4-thread-45) [30642514] START, MigrateBrokerVDSCommand(vdsId = 8fdfe32c-d96e-11e1-a853-001a4a169741, vmId=fc52981c-8271-42dc-97ab-40
aae2f6bd37, srcHost=orange-vdsd.qa.lab.tlv.redhat.com, dstVdsId=85a0068a-d96e-11e1-af1e-001a4a169741, dstHost=blond-vdsh.qa.lab.tlv.redhat.com:54321, migrationMethod=ONLINE), log id: 3b8992c5
2012-07-30 15:10:09,341 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.MigrateBrokerVDSCommand] (pool-4-thread-45) [30642514] FINISH, MigrateBrokerVDSCommand, log id: 3b8992c5
2012-07-30 15:10:09,403 INFO  [org.ovirt.engine.core.vdsbroker.MigrateVDSCommand] (pool-4-thread-45) [30642514] FINISH, MigrateVDSCommand, return: MigratingFrom, log id: 53617cea
2012-07-30 15:10:11,073 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (QuartzScheduler_Worker-59) [4cd67a82] hostFromVds::selectedVds - blond-vdsh, spmStatus Free, storage pool iSCSI
2012-07-30 15:10:11,104 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (QuartzScheduler_Worker-59) [4cd67a82] SpmStatus on vds 8fdfe32c-d96e-11e1-a853-001a4a169741: Unknown_Pool
2012-07-30 15:10:11,119 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (QuartzScheduler_Worker-59) [4cd67a82] starting spm on vds blond-vdsh, storage pool iSCSI, prevId 2, LVER 5
2012-07-30 15:10:11,120 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SpmStartVDSCommand] (QuartzScheduler_Worker-59) [4cd67a82] START, SpmStartVDSCommand(vdsId = 85a0068a-d96e-11e1-af1e-001a4a169741, storagePoolId = b421b191-d2ec-4c
b0-a8e5-751be6cbaa43, prevId=2, prevLVER=5, storagePoolFormatType=V3, recoveryMode=Manual, SCSIFencing=false), log id: 6ca8debe
2012-07-30 15:10:11,149 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SpmStartVDSCommand] (QuartzScheduler_Worker-59) [4cd67a82] spmStart polling started: taskId = d945be39-f653-44d4-b2ad-d7da566f259f
2012-07-30 15:10:11,729 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-76) [337526ca] vds::refreshVmList vm id fc52981c-8271-42dc-97ab-40aae2f6bd37 is migrating to vds blond-vdsh ignoring it in the 
refresh till migration is done
2012-07-30 15:10:11,730 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-76) [337526ca] vds::refreshVmList vm id ef15de06-95be-4556-90ac-1c292f649285 is migrating to vds blond-vdsh ignoring it in the 
refresh till migration is done
2012-07-30 15:10:13,800 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-44) [46fe0ef] vds::refreshVmList vm id fc52981c-8271-42dc-97ab-40aae2f6bd37 is migrating to vds blond-vdsh ignoring it in the r
efresh till migration is done
2012-07-30 15:10:13,801 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-44) [46fe0ef] vds::refreshVmList vm id ef15de06-95be-4556-90ac-1c292f649285 is migrating to vds blond-vdsh ignoring it in the r
efresh till migration is done
2012-07-30 15:10:15,871 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-70) [23bd2346] vds::refreshVmList vm id fc52981c-8271-42dc-97ab-40aae2f6bd37 is migrating to vds blond-vdsh ignoring it in the 
refresh till migration is done
2012-07-30 15:10:15,872 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-70) [23bd2346] vds::refreshVmList vm id ef15de06-95be-4556-90ac-1c292f649285 is migrating to vds blond-vdsh ignoring it in the 
refresh till migration is done

Comment 6 Dafna Ron 2012-07-30 12:12:41 UTC
Created attachment 601240 [details]
engine log

Comment 7 Eli Mesika 2012-08-09 09:00:08 UTC
(In reply to comment #5)

Are you checking BZ 844344 scenario here?
Please check with the original scenario described in this bug

Comment 8 Dafna Ron 2012-08-12 07:22:37 UTC
(In reply to comment #7)
> (In reply to comment #5)
> 
> Are you checking BZ 844344 scenario here?
> Please check with the original scenario described in this bug

this is not the same bug. 
Haim added a second host which is connected to a different pool. 
this is a normal migration between hosts who are in the same pool - no connection.

Comment 9 Eli Mesika 2012-08-27 10:13:38 UTC
http://gerrit.ovirt.org/#/c/7494/

Comment 10 Eli Mesika 2012-08-28 08:08:19 UTC
fixed in commit: 7131e73

Comment 13 Dafna Ron 2012-09-19 12:28:14 UTC
Created attachment 614336 [details]
log and screen shot

tested in si18
not seeing the vm's migration in task manager

screen shot and log attached.

Comment 19 Dafna Ron 2012-10-14 08:43:41 UTC
Created attachment 626832 [details]
screen shots

Comment 21 Dafna Ron 2012-10-22 09:55:04 UTC
conclusion: the tasks appear under the Non-operational host task which is currently part of the design. 
I disagree with the location and think it should be fixed fro future versions.

Comment 24 Dafna Ron 2012-10-28 12:27:02 UTC
verified on si22.1


Note You need to log in before you can comment on or make changes to this bug.